﻿<%@ Page Title="Log In" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Login.aspx.cs" Inherits="WebSite.Account.Login" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <h2>
        Log In
    </h2>
    <p>
        Please enter your username and password. <a href="Register.aspx?ReturnUrl=<%= HttpUtility.HtmlAttributeEncode(Server.UrlEncode(Request["ReturnUrl"])) %>">
            Register</a> if you don't have an account.
    </p>
    <asp:Login ID="Login1" runat="server">
        <LayoutTemplate>
            <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
            <div>
                <fieldset>
                    <legend>Account Information</legend>
                    <p>
                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Username:</asp:Label>
                        <asp:TextBox ID="UserName" CssClass="textEntry" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                            ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="Login1">*</asp:RequiredFieldValidator>
                    </p>
                    <p>
                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Password:</asp:Label>
                        <asp:TextBox ID="Password" CssClass="passwordEntry" runat="server" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                            ErrorMessage="Password is required." ToolTip="Password is required." ValidationGroup="Login1">*</asp:RequiredFieldValidator>
                    </p>
                    <p>
                        <asp:CheckBox ID="RememberMe" runat="server" />
                        <asp:Label ID="RememberMeLabel" runat="server" AssociatedControlID="RememberMe" CssClass="inline"
                            Text="Remember me?" />
                    </p>
                    
                </fieldset>
                <p>
                    <asp:Button ID="LoginButton" CssClass="submitButton" runat="server" CommandName="Login" Text="Log In" ValidationGroup="Login1" />
               </p>
            </div>
        </LayoutTemplate>
    </asp:Login>
</asp:Content>
